# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

Public Member Functions | Private Attributes
dirac::ParseParams Class Reference

Parameters relating to the complexity of encoder/decoder.

`#include <common.h>`

List of all members.

## Public Member Functions
| ParseParams ()
| Default constructor.
unsigned int | MajorVersion () const
| Get the major version.
unsigned int | MinorVersion () const
| Get the minor version.
unsigned int | Profile () const
| Get the Profile.
unsigned int | Level () const
| Get the Level.
void | SetMajorVersion (unsigned int major_ver)
| Set the major version.
void | SetMinorVersion (unsigned int minor_ver)
| Set the minor version.
void | SetProfile (unsigned int profile)
| Set the Profile.
void | SetLevel (unsigned int level)
| Set the Level.

## Private Attributes
unsigned int | m_major_ver
| Major Version.
unsigned int | m_minor_ver
| Minor Version.
unsigned int | m_profile
| Profile.
unsigned int | m_level
| Level.

## Constructor & Destructor Documentation

dirac::ParseParams::ParseParams | ( |  | ) |

## Member Function Documentation

unsigned int dirac::ParseParams::Level | ( |  | ) | const
| inline

References m_level.

unsigned int dirac::ParseParams::MajorVersion | ( |  | ) | const
| inline

References m_major_ver.

unsigned int dirac::ParseParams::MinorVersion | ( |  | ) | const
| inline

References m_minor_ver.

unsigned int dirac::ParseParams::Profile | ( |  | ) | const
| inline

References m_profile.

void dirac::ParseParams::SetLevel | ( | unsigned int | level | ) |
| inline

References m_level.

void dirac::ParseParams::SetMajorVersion | ( | unsigned int | major_ver | ) |
| inline

References m_major_ver.

void dirac::ParseParams::SetMinorVersion | ( | unsigned int | minor_ver | ) |
| inline

References m_minor_ver.

void dirac::ParseParams::SetProfile | ( | unsigned int | profile | ) |
| inline

References m_profile.

## Member Data Documentation

unsigned int dirac::ParseParams::m_level
| private

Referenced by Level(), and SetLevel().

unsigned int dirac::ParseParams::m_major_ver
| private

Referenced by MajorVersion(), and SetMajorVersion().

unsigned int dirac::ParseParams::m_minor_ver
| private

Referenced by MinorVersion(), and SetMinorVersion().

unsigned int dirac::ParseParams::m_profile
| private

Referenced by Profile(), and SetProfile().

The documentation for this class was generated from the following file:

- common.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.